set_languages("cxx20")
add_requires("UTemplate")
target("zlib")
    set_kind("static")
    add_packages("UTemplate", {public = true})
    add_includedirs("include", {public = true})
    add_files("src/**/*.cpp")
    add_headerfiles("include/**/*.h")
target("zlib_test")
    set_kind("binary")
    add_deps("zlib")
    add_files("main.cpp")
-- target("zlib_test01_mutex")
--     set_kind("binary")
--     add_deps("zlib")
--     add_files("test/01mutex.cpp")

-- target("zlib_test02_condition")
--     set_kind("binary")
--     add_deps("zlib")
--     add_files("test/02condition.cpp")

-- target("zlib_test03_semaphore")
--     set_kind("binary")
--     add_deps("zlib")
--     add_files("test/03semaphore.cpp")

-- target("zlib_test04_promise")
--     set_kind("binary")
--     add_deps("zlib")
--     add_files("test/04promise.cpp")

target("refl_zlib")
    set_kind("binary")
    add_deps("zlib")
    add_includedirs("test/refl")
    add_files("test/refl_01.cpp")
    add_headerfiles("test/refl/*.h")